Package de.willuhn.jameica.hbci.passport

# Class PassportChangeRequest

java.lang.Object
de.willuhn.jameica.hbci.passport.PassportChangeRequest

public class PassportChangeRequest extends Object
Container, der die Kunden- und User-Daten-Aenderungen fuer einen Passport haelt.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`custId`
Die neue Kundenkennung.
`org.kapott.hbci.passport.AbstractHBCIPassport`
`passport`
Der zu aendernde Passport.
`String`
`userId`
Die neue Benutzerkennung.

## Constructor Summary

Constructors
Constructor
Description
`PassportChangeRequest(org.kapott.hbci.passport.AbstractHBCIPassport passport, String custId, String userId)`
ct.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### passport

public org.kapott.hbci.passport.AbstractHBCIPassport passport
Der zu aendernde Passport.

### custId

public String custId
Die neue Kundenkennung.

### userId

public String userId
Die neue Benutzerkennung.

## Constructor Details

### PassportChangeRequest

public PassportChangeRequest(org.kapott.hbci.passport.AbstractHBCIPassport passport, String custId, String userId)
ct.

Parameters:
  `passport` - der zu aendernde Passport.
  `custId` - die neue Kundenkennung.
  `userId` - die neue Benutzerkennung.